Create Account

Beta
This endpoint allows you to create a new account for a merchant under your franchise. In order to create a store for a merchant, an account must exist.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Request

This endpoint expects an object.
idstringRequired>=1 character

Associated account ID within partner’s system. Must be unique within your franchise.

namestringRequired1-40 characters
Company name for the account and the name displayed at login when a merchant has multiple stores. 40 character limit.
user_emailstringRequired1-255 characters
Email address of the user who will be the store owner for the account.
primary_contactobjectRequired
billing_contactobjectOptional
Billing contact information for the Account
localestringOptionalDefaults to en

locale is used when sending email communications (such as account activation emails) to the accountʼs user_email.

Response

Success
dataobject
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error